Overview
DELETE/ecosystem/applications/{appId}/tokens/{id}ecosystem

Revoke one of the application’s API tokens

Delete a record from tokens by appId, id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • appIdpathstring
  • idpathstring
Responses
204

revoked

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/ecosystem/applications/{appId}/tokens/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/applications/{appId}/tokens/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();